Coordinate Technical Collaboration involvement in Community Wishlist work 2017
Closed, InvalidPublic

Description

The 2016 Community Wishlist Survey is taking place. During 2016, the Wikimedia Foundation Technical Collaboration team helped out in different ways – supporting the Community Tech team in their work on the top tasks as well as working to find and/or support other developers for other tasks on the list.

We need to figure out what we'll do next year and how we can best make these wishes happen.

An initial dissection of Technical Collaboration's support (edits welcome):

  • Support to Community Tech selecting wishes. Is TC a stakeholder here?
  • Support to Community Tech on selected wishes. We need to look at the support provided mainly by @Johan and decide whether we want to keep this type of support or improvements are needed.
  • Selection of wishes promoted by TC. We need a priority list like T145485: Support the top 10 Community Wishlist 2015 tasks suitable for volunteers until they are resolved.
  • We also need to decide what to do with the wishes from last year (T145485) that haven't been voted again this year. Merge them? Leave them behind?
  • Decide how to promote these wishes into hackathons, GSoC/Outreachy, Grants, and other potential channels.
Johan created this task.Nov 21 2016, 1:39 PM
Restricted Application added a project: User-Johan. · View Herald TranscriptNov 21 2016, 1:39 PM
Qgil updated the task description. (Show Details)Nov 22 2016, 11:05 AM
Qgil added a comment.Nov 22 2016, 11:09 AM

I have added some details about the types of work related to Technical Collaboration.

Chronologically speaking, the first goals is the definition of TC team and individual quarterly goals for Jan-Mar-2017.

Then we have these sessions at the Summit, and more potential conversations in the Unconference:

Qgil reassigned this task from Johan to srishakatux.Jan 10 2017, 1:39 PM

As discussed at different places and times, we are actually detaching the developer relations work lead by @srishakatux (now a Technical Collaboration team goal) with the community liaison work lead by @Johan (which after the survey moves to business as usual). I am reflecting this decision in this task, modifying it to reflect our team goal committed. Johan, will create new tasks for specific CL support activities for Community Tech as needed.

Qgil reassigned this task from srishakatux to Johan.Jan 10 2017, 1:46 PM
Qgil closed this task as Invalid.

Mmm.... actually, it is perhaps better to simply close this task and start a new one for the team goal. Sorry for the noise.

Let's continue at T154988: Promote a selection of Community Wishlist Survey 2016 projects well suited for volunteer developers.

Johan moved this task from Backlog to Archive on the User-Johan board.Jul 26 2017, 3:26 AM